Package org.tmatesoft.svn.core

# Class SVNCommitInfo

java.lang.Object
org.tmatesoft.svn.core.SVNCommitInfo

public class SVNCommitInfo extends Object
The SVNCommitInfo class represents information about a committed revision. Commit information includes:

1. a revision number;
2. a datestamp when the revision was committed;
3. the name of the revision author.

In addition, this class provides an exception that, if a commit has failed, has got a description of a failure reason.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final SVNCommitInfo`
`NULL`
Denotes an unsuccessful commit.

## Constructor Summary

Constructors
Constructor
Description
`SVNCommitInfo(long revision, String author, Date date)`
Constructs an SVNCommitInfo object.
`SVNCommitInfo(long revision, String author, Date date, SVNErrorMessage error)`
Constructs an SVNCommitInfo object.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAuthor()`
Gets the name of the revision author
`Date`
`getDate()`
Gets the datestamp when the revision was committed.
`SVNException`
`getError()`
Deprecated.
use `getErrorMessage()` instead
`SVNErrorMessage`
`getErrorMessage()`
Gets an error message for a failed commit (if it has failed).
`long`
`getNewRevision()`
Gets the revision number the repository was committed to.
`String`
`toString()`
Gives a string representation of this object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NULL

public static final SVNCommitInfo NULL
Denotes an unsuccessful commit.

## Constructor Details

### SVNCommitInfo

public SVNCommitInfo(long revision, String author, Date date)
Constructs an SVNCommitInfo object.

Parameters:
  `revision` - a revision number
  `author` - the name of the author who committed the revision
  `date` - the datestamp when the revision was committed

### SVNCommitInfo

public SVNCommitInfo(long revision, String author, Date date, SVNErrorMessage error)
Constructs an SVNCommitInfo object.

Parameters:
  `revision` - a revision number
  `author` - the name of the author who committed the revision
  `date` - the datestamp when the revision was committed
  `error` - if a commit failed - this is an error description containing details on the failure

## Method Details

### getNewRevision

public long getNewRevision()
Gets the revision number the repository was committed to.

Returns:
  a revision number

### getAuthor

public String getAuthor()
Gets the name of the revision author

Returns:
  a revision author's name

### getDate

public Date getDate()
Gets the datestamp when the revision was committed.

Returns:
  a revision datestamp

### getErrorMessage

public SVNErrorMessage getErrorMessage()
Gets an error message for a failed commit (if it has failed). This message will usually keep the entire stack trace of all the error messages as of results of errors occurred.

Returns:
  an error messages or null.

### getError

public SVNException getError()
Deprecated.
use `getErrorMessage()` instead

Returns:
  exception occurred

### toString

public String toString()
Gives a string representation of this object.

Overrides:
  `toString` in class `Object`
Returns:
  a string describing commit info